﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Data;
using System.IO;
using System.Web.UI;
using Stimulsoft;
using Stimulsoft.Report;

namespace StimulsoftPageBug
{
    public class rptData
    {
        public static string fileFullName(string path)
        {
            return Path.Combine(path, "report.mrt");
        }
        public static StiReport report(string path)
        {
            StiReport _report = new StiReport();
            string _path = Environment.GetFolderPath(Environment.SpecialFolder.ApplicationData);
            if (File.Exists(fileFullName(path)))
            {
                _report.Load(fileFullName(path));
            }

            // bind data
            _report.RegData(dataSetGet());
            _report.Dictionary.Synchronize();


            return _report;
        }


        public static DataSet dataSetGet()
        {
            DataSet _ds = new DataSet("myDataset");
            DataTable _tbl = new DataTable("pageData");
            _tbl.Columns.Add(new DataColumn("rowGroup", typeof(int)));
            _tbl.Columns.Add(new DataColumn("rowId", typeof(int)));
            _tbl.Columns.Add(new DataColumn("rowText"));

            DataRow _row = _tbl.NewRow();
            _row[0] = 1;
            _row[1] = 1;
            _row[2] = "Data text 1";
            _tbl.Rows.Add(_row);

            _row = _tbl.NewRow();
            _row[0] = 1;
            _row[1] = 2;
            _row[2] = "Data text 2";
            _tbl.Rows.Add(_row);

            _row = _tbl.NewRow();
            _row[0] = 2;
            _row[1] = 3;
            _row[2] = "Data text 3";
            _tbl.Rows.Add(_row);

            _row = _tbl.NewRow();
            _row[0] = 2;
            _row[1] = 4;
            _row[2] = "Data text 4";
            _tbl.Rows.Add(_row);


            _ds.Tables.Add(_tbl);
            return _ds;
        }
    }
}